Bug 441675 - server daemon fails to start out-of-the-box
Summary: server daemon fails to start out-of-the-box
Status: CLOSED WONTFIX
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: bcfg2   
(Show other bugs)
Version: el5
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Jeffrey C. Ollie
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: ActualBug
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-04-09 13:36 UTC by Juha Tuomala
Modified: 2014-02-26 17:24 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-26 17:24:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fixed version (1.60 KB, application/octet-stream)
2008-04-10 12:55 UTC, Juha Tuomala
no flags Details
new version of daemon initscript (1.64 KB, text/plain)
2008-04-14 11:11 UTC, Juha Tuomala
no flags Details

Description Juha Tuomala 2008-04-09 13:36:30 UTC
Description of problem:

I install it and try to start, it fails - in both 
clear messages as functionality wise.

[root@x ~]# service bcfg2-server
Usage: /etc/init.d/bcfg2-server {start|stop|status|reload|r[  
OK  ]orce-reload}
[root@x ~]# service bcfg2-server status
bcfg2-server (pid 22448) is running...
[root@x ~]# ps -eaf|grep 22448
root     22452 20433  0 16:29 pts/2    00:00:00 grep 22448
[root@x ~]#

Version-Release number of selected component (if applicable):

bcfg2-server-0.9.5.7-1.el5

How reproducible:

always

Steps to Reproduce:
1. yum install --enablerepo=epel\* bcfg2-server
2. service bcfg2-server  (with or without start,status whatever)
3.
  
Actual results:


Expected results:

a running daemon and clear messages on screen.

Additional info:

tested on centos5 and rhel5

Comment 1 Juha Tuomala 2008-04-09 13:40:53 UTC
I've one instance on rhel5 which has been already initialized and fails similar 
way than this one on centos5 which has not been initialized.

Anyway, initialized or not, it should not fail and generate garbled output on 
screen.

Comment 2 Juha Tuomala 2008-04-09 13:54:17 UTC
Now initialized the centos5 db and:

[root@x ~]# service bcfg2-server restart
Stopping Configuration Management Server: /sbin/service: line 66: 22641 
Terminated              env -i LANG="$LANG" PATH="$PATH" 
TERM="$TERM" "${SERVICEDIR}/${SERVICE}" ${OPTIONS}
[root@x ~]# bcfg2-server                                [  OK  ]

Comment 3 Jeffrey C. Ollie 2008-04-09 13:58:36 UTC
I do see a small buglet when you type "service bcfg2-server" in that it's
inserting "[OK]" into the output.  I'll see about getting that fixed.  "service
bcfg2-server" shouldn't do anything but print a usage message.  However, I don't
think that including a default configuration for bcfg2-server would be a good
thing.  The person that's setting up the server needs to go through the
"bcfg2-admin init" process to get a working installation.  If after running
"bcfg2-admin init" you still can't get bcfg2-server to start up then that's a
bug.  There ought to be some indication in the syslog of why it isn't starting up.

Comment 4 Juha Tuomala 2008-04-10 12:53:27 UTC
# service bcfg2-serverr  restart
Stopping bcfg2-server:                                     [  OK  ]
Starting bcfg2-server:                                     [  OK  ]
[root@x ]# service bcfg2-serverr  status
bcfg2-server (pid 32045) is running...
[root@x ]# service bcfg2-serverr  restart
Stopping bcfg2-server:                                     [  OK  ]
Starting bcfg2-server:                                     [  OK  ]
[root@x ]#

Okay, now i've working version done from proper rh camp template:
http://fedoraproject.org/wiki/Packaging/SysVInitScript?highlight=%28Packaging%29#head-b308cc7d67d2a761c13de401e1c40918c7def22b

Comment 5 Juha Tuomala 2008-04-10 12:55:44 UTC
Created attachment 301971 [details]
fixed version

Comment 6 Juha Tuomala 2008-04-14 11:11:40 UTC
Created attachment 302327 [details]
new version of daemon initscript

This one adds ability to pass cli options from /etc/sysconfig/bcfg2-server
config file.

Comment 7 John Morris 2014-02-26 17:24:59 UTC
This bug is filed against a very old release of bcfg2.  Closing it out.  If problems continue, please reopen or file a new bug.  Thank you.


Note You need to log in before you can comment on or make changes to this bug.